from django.db import models

# Create your models here.


class XZNSH(models.Model):
    # uid
    uid = models.AutoField(primary_key=True)
    # 视频哈希
    video_hash = models.CharField(max_length=1024, verbose_name='视频哈希')
    # 时间
    record_time = models.DateTimeField(verbose_name='记录仪时间', null=True, default=None)
    # 场景
    scene = models.CharField(max_length=50, verbose_name='场景', null=True, blank=True)
    # 事件类型
    event_type = models.CharField(max_length=50, verbose_name='事件类型', null=True, blank=True)   # 还没迁移
    # 是否违规
    is_violation = models.BooleanField(verbose_name='是否违规', null=True, blank=True)
    # 违规原因
    violation_reason = models.CharField(max_length=255, verbose_name='违规原因', null=True, blank=True)
    # 缩略图
    thumbnail = models.CharField(max_length=100, verbose_name='缩略图')
    # 视频路径
    video_path = models.CharField(max_length=100, verbose_name='视频路径')
    # 分析结果
    ai_analysis = models.CharField(max_length=255, verbose_name='分析结果', null=True, blank=True)
    # 加入时间
    insert_time = models.DateTimeField(auto_now_add=True, verbose_name='插入时间')
    # 更新时间
    update_time = models.DateTimeField(auto_now=True, verbose_name='更新时间')
    # 是否显示
    is_display = models.BooleanField(default=True, verbose_name='是否显示')

    class Meta:

        # 排序 uid倒序
        ordering = ['-uid']
